package com.fuint.repository.model;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * 餐桌信息实体
 *
 * @Created by pzg
 * CopyRight https://www.fuint.cn
 */
@Getter
@Setter
@TableName("mt_table_info")
@ApiModel(value = "table_info表对象", description = "table_info表对象")
public class MtTableInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("餐桌容纳人数")
    private Integer capacity;

    @ApiModelProperty("桌号分类ID，外键，关联到table_category表")
    private Long categoryId;

    @ApiModelProperty("记录创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty("创建用户id")
    @TableField(fill = FieldFill.INSERT)
    private String createUserId;

    @ApiModelProperty("是否删除 0否 1是")
    @TableLogic
    private Integer deleteFlag;

    @ApiModelProperty("餐桌ID，主键，自增")
    @TableId(value = "ID", type = IdType.ID_WORKER)
    private Long id;

    @ApiModelProperty("店铺id")
    private Long storeId;

    @ApiModelProperty("项目标识")
    private String project;

    @ApiModelProperty("餐桌编号，如T001、T002等")
    private String tableNumber;


    @ApiModelProperty("分类名称")
    private String categoryName;


    @ApiModelProperty("餐桌状态，0空闲、1占用或2预订")
    private Integer tableStatus;

    @ApiModelProperty("记录更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty("修改用户id")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateUserId;

}
